//
// pfind.h
//
// This header file for pfind is a bit superfluios as there is only
// one file that uses it, but I'm reluctant to change the structure
// as I'm creating a template for future assignments.

// YES, and NO for clarity in function returns
#define	YES	1
#define	NO	0

#include    <stdio.h>
#include    <sys/types.h>
#include    <sys/stat.h>
#include    <dirent.h>
#include    <stdlib.h>
#include    <string.h>

// define all functions for smooth compile
// fatal is found in myLib.c, the others are all from pfind.
void         fatal(char *errStr);
void         searchdir( char *dirName, char *fileName );
int          checkIfDir ( char *filename );
int          checkIfLink( char *pathName );
int          checkIfFile( char *pathName );
